summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfossfun <fossfun@gmail.com>2010-05-12 17:43:33 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 17:43:33 +0200
commitae10280ca1d124c82b4bf4422ad554f884e34beb (patch)
tree55de88dc9f5da466e6ec54d51cd49a5e54609c86
parent6afd509ba0e456b3df5fce759715dca8cb742b66 (diff)
downloadslackbuilds-ae10280ca1d124c82b4bf4422ad554f884e34beb.tar.gz
network/iw: Updated for version 0.9.14
-rw-r--r--network/iw/README2
-rw-r--r--network/iw/iw.SlackBuild21
-rw-r--r--network/iw/iw.info10
-rw-r--r--network/iw/slack-desc14
4 files changed, 23 insertions, 24 deletions
diff --git a/network/iw/README b/network/iw/README
index e5389d55fd..f37a6c2fdf 100644
--- a/network/iw/README
+++ b/network/iw/README
@@ -4,4 +4,4 @@ mac80211 driver, as these are the new drivers being written - most new
wireless devices being sold are now SoftMAC. List of mac80211 drivers:
http://wireless.kernel.org/en/developers/Documentation/mac80211#mac80211drivers
-iw requires libnl, which is also available at SlackBuilds.org.
+iw requires libnl.
diff --git a/network/iw/iw.SlackBuild b/network/iw/iw.SlackBuild
index d02a49a7f7..85725fd82c 100644
--- a/network/iw/iw.SlackBuild
+++ b/network/iw/iw.SlackBuild
@@ -1,13 +1,13 @@
#!/bin/sh
# Slackware build script for iw
-# Written by nullboy (antiwire@gmail.com)
+# Written by fossfun (fossfun@gmail.com)
# Some portions, methods and/or ideas obtained from:
# http://slackbuilds.org/template.SlackBuild
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=iw
-VERSION=${VERSION:-0.9.6}
+VERSION=${VERSION:-0.9.14}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -41,19 +41,18 @@ find . \
-exec chmod 644 {} \;
make CFLAGS="$SLKCFLAGS"
-make install DESTDIR=$PKG
+make install \
+ BINDIR=/usr/sbin \
+ MANDIR=/usr/man \
+ DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-# I've sent a patch upstream to make this unnecessary --rworkman
-# http://marc.info/?l=linux-wireless&m=122707106209548&w=2
-mv $PKG/usr/bin $PKG/usr/sbin
-mv $PKG/usr/share/man $PKG/usr
-rmdir $PKG/usr/share
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/iw/iw.info b/network/iw/iw.info
index 2dd5362065..71d8860773 100644
--- a/network/iw/iw.info
+++ b/network/iw/iw.info
@@ -1,8 +1,8 @@
PRGNAM="iw"
-VERSION="0.9.6"
+VERSION="0.9.14"
HOMEPAGE="http://wireless.kernel.org/en/users/Documentation/iw"
-DOWNLOAD="http://wireless.kernel.org/download/iw/iw-0.9.6.tar.bz2"
-MD5SUM="d3cadc8f3388bedb26653c28075c711e"
-MAINTAINER="nullboy"
-EMAIL="antiwire@gmail.com"
+DOWNLOAD="http://wireless.kernel.org/download/iw/iw-0.9.14.tar.bz2"
+MD5SUM="b5059cfe86bc7664511b79c159635a8f"
+MAINTAINER="fossfun"
+EMAIL="fossfun@gmail.com"
APPROVED="rworkman"
diff --git a/network/iw/slack-desc b/network/iw/slack-desc
index e0ef508ea0..d5a38fbb36 100644
--- a/network/iw/slack-desc
+++ b/network/iw/slack-desc
@@ -5,15 +5,15 @@
# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
- |-----handy-ruler----------------------------------------------------------|
+ |-----handy-ruler-------------------------------------------------------|
iw: iw (configuration utility for wireless devices)
-iw:
+iw:
iw: Currently you can only use this utility to configure devices which use
iw: a mac80211 driver, as these are the new drivers being written only
iw: because most new wireless devices being sold are now SoftMAC.
-iw:
+iw:
iw: Homepage: http://wireless.kernel.org/en/users/Documentation/iw
-iw:
-iw:
-iw:
-iw:
+iw:
+iw:
+iw:
+iw: